#pragma once

#include "sqlitecookiegetter.h"
#include "unit_test.h"

#include "namespace_start.h"


class CChromeCookieGetter:public SQLiteCookieGetterT<CChromeCookieGetter>{
	friend Void UnitTest();
	
public:
	
	CChromeCookieGetter();


	Bool GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie);


	static Bool Fancta(const Byte * data,ULong dataSize,const NString & domein,const NString &name,CCookie &cookie);

private:
	static NString CreateCookiePath();



};


#include "namespace_end.h"